Usages - List By Subscription

取得訂用帳戶中所有 Azure AI 搜尋配額使用量的清單。

GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Search/locations/{location}/usages?api-version=2025-05-01

URI 參數

名稱 位於 必要 類型 Description
location
path True

string

minLength: 1

Azure 區域的名稱。

subscriptionId
path True

string (uuid)

目標訂用帳戶的標識碼。 此值必須是 UUID。

api-version
query True

string

minLength: 1

用於此作業的 API 版本。

要求標頭

名稱 必要 類型 Description
x-ms-client-request-id

string (uuid)

用戶端產生的 GUID 值,可識別此要求。 如果指定,則會以追蹤要求的方式包含在響應資訊中。

回應

名稱 類型 Description
200 OK

QuotaUsagesListResult

要求已成功。

Other Status Codes

CloudError

未預期的錯誤回應。

安全性

azure_auth

Azure Active Directory OAuth2 Flow。

類型: oauth2
Flow: implicit
授權 URL: https://login.microsoftonline.com/common/oauth2/authorize

範圍

名稱 Description
user_impersonation 模擬您的用戶帳戶

範例

GetQuotaUsagesList

範例要求

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.Search/locations/westus/usages?api-version=2025-05-01

範例回覆

{
  "nextLink": null,
  "value": [
    {
      "name": {
        "localizedValue": "F - Free",
        "value": "free"
      },
      "currentValue": 8,
      "id": "/subscriptions/{subscriptionId}/providers/Microsoft.Search/locations/{location}/usages/free",
      "limit": 16,
      "unit": "Count"
    },
    {
      "name": {
        "localizedValue": "B - Basic",
        "value": "basic"
      },
      "currentValue": 8,
      "id": "/subscriptions/{subscriptionId}/providers/Microsoft.Search/locations/{location}/usages/basic",
      "limit": 16,
      "unit": "Count"
    },
    {
      "name": {
        "localizedValue": "S - Standard",
        "value": "standard"
      },
      "currentValue": 8,
      "id": "/subscriptions/{subscriptionId}/providers/Microsoft.Search/locations/{location}/usages/standard",
      "limit": 16,
      "unit": "Count"
    },
    {
      "name": {
        "localizedValue": "S2 - Standard2",
        "value": "standard2"
      },
      "currentValue": 8,
      "id": "/subscriptions/{subscriptionId}/providers/Microsoft.Search/locations/{location}/usages/standard2",
      "limit": 16,
      "unit": "Count"
    },
    {
      "name": {
        "localizedValue": "S3 - Standard3",
        "value": "standard3"
      },
      "currentValue": 8,
      "id": "/subscriptions/{subscriptionId}/providers/Microsoft.Search/locations/{location}/usages/standard3",
      "limit": 16,
      "unit": "Count"
    },
    {
      "name": {
        "localizedValue": "L1 - Storage Optimized",
        "value": "storageOptimizedL1"
      },
      "currentValue": 8,
      "id": "/subscriptions/{subscriptionId}/providers/Microsoft.Search/locations/{location}/usages/storageOptimizedL1",
      "limit": 16,
      "unit": "Count"
    },
    {
      "name": {
        "localizedValue": "L2 - Storage Optimized",
        "value": "storageOptimizedL2"
      },
      "currentValue": 8,
      "id": "/subscriptions/{subscriptionId}/providers/Microsoft.Search/locations/{location}/usages/storageOptimizedL2",
      "limit": 16,
      "unit": "Count"
    }
  ]
}

定義

名稱 Description
CloudError

包含 API 錯誤的相關信息。

CloudErrorBody

描述具有錯誤碼和訊息的特定 API 錯誤。

QuotaUsageResult

描述特定 SKU 的配額使用量。

QuotaUsageResultName

SKU 名稱資訊,包括其識別碼及在地顯示名稱。

QuotaUsagesListResult

包含 Azure AI 搜尋所支援之所有 SKU 配額使用量資訊的回應。

CloudError

包含 API 錯誤的相關信息。

名稱 類型 Description
error

CloudErrorBody

描述具有錯誤碼和訊息的特定 API 錯誤。

message

string

錯誤簡短描述,其中提示發生錯誤的原因(如需詳細數據/偵錯資訊,請參閱 'error.message' 屬性。

CloudErrorBody

描述具有錯誤碼和訊息的特定 API 錯誤。

名稱 類型 Description
code

string

比 HTTP 狀態代碼更精確地描述錯誤條件的錯誤碼。 可用來以程式設計方式處理特定錯誤案例。

details

CloudErrorBody[]

包含與此錯誤相關的巢狀錯誤。

message

string

描述錯誤的詳細訊息,並提供偵錯資訊。

target

string

特定錯誤的目標(例如,錯誤中的屬性名稱)。

QuotaUsageResult

描述特定 SKU 的配額使用量。

名稱 類型 Description
currentValue

integer (int32)

目前用於特定搜尋 SKU 的值。

id

string

Microsoft.Search 提供者配額使用量 SKU 端點的資源識別碼。

limit

integer (int32)

特定搜尋 SKU 的配額限制。

name

QuotaUsageResultName

目前搜尋服務的 SKU 名稱資訊。

unit

string

搜尋 SKU 的度量單位。

QuotaUsageResultName

SKU 名稱資訊,包括其識別碼及在地顯示名稱。

名稱 類型 Description
localizedValue

string

SKU 名稱的當地語系化字串值。

value

string

Azure AI 搜尋所支援的 SKU 名稱。

QuotaUsagesListResult

包含 Azure AI 搜尋所支援之所有 SKU 配額使用量資訊的回應。

名稱 類型 Description
nextLink

string

可用來查詢配額使用量下一頁的要求URL。 當要求的配額使用量總數超過頁面大小上限時傳回。

value

QuotaUsageResult[]

Azure AI 搜尋所支援 SKU 的配額使用量。